/**
 * @file
 * Contains tma-form.js.
 */

(function ($, Drupal, drupalSettings) {
  $(function () {
    $(document).ready(function () {

      var modifiedFields = {};
      var $formId, $elementId, $modified_type, $elementValue = null;

      // Sniff all activity on the input elements.
      $('body').on('input', function (event) {
        modifiedFields[event.target.id] = event.target.labels[0].innerText;
      });

      // Handling CKEDITOR activitiy in here. @TODO - decide going forward, shall we handle other widgets.
      if (drupalSettings.ckeditor) {
        CKEDITOR.on('instanceReady', function (event) {
          $(event.editor.container.$).find('iframe').contents().click(function (e) {
            modifiedFields[event.editor.name] = 'ckeditor';
          });
        });
      }

      $('input[type=submit]').on('click', function (e) {
        if (e.target.dataset.drupalSelector == 'edit-submit') {
          // Let us Traverse only if any Fields are Updated.
          if (modifiedFields.length !== 0) {
            var modifiedValues = [];
            $modified_type = 'content';
            var $location = $(location).attr('href');
            // @TODO - find any better way to distinguish content vs config.
            if ($(location).attr('href').match(/\/admin\/config/)) {
              $modified_type = 'config';
            }
            $.each(modifiedFields, function (arrKey, arrValue) {
              if (arrValue == 'ckeditor') {
                $elementValue = CKEDITOR.instances[arrKey].getData();
                arrValue = arrKey;
              }
              else {
                $elementId = '#' + arrKey;
                $elementValue = $($elementId).val();
              }
              // Make sure to Strip possible tags.
              modifiedValues.push({field: arrValue, value: $elementValue.replace(/<[^>]+>/g, ''), url: $location.replace(/<[^>]+>/g, ''), modified_type: $modified_type, date: Math.floor(Date.now() / 1000)});
            });
            $.ajax({method: 'POST', url: '/trackmyadmin/capture_activity_details', data: {'details': modifiedValues}, success: function (data) {} });
          }
        }
      });

    });
  });
})(jQuery, Drupal, drupalSettings);
