/**
 * @file
 * Contains tma-form.js.
 */

(function ($) {
  $(function () {
    $(document).ready(function () {
      // Search all columns.
      $('#tmaSearch').keyup(function () {
        // Search Text.
        var search = $(this).val();

        // Hide all table tbody rows.
        $('table tbody tr').hide();

        // Count total search result.
        var len = $('table tbody tr:not(.notfound) td:contains("' + search + '")').length;

        if (len > 0) {
          // Searching text in columns and show match row.
          $('table tbody tr:not(.notfound) td:contains("' + search + '")').each(function () {
            $(this).closest('tr').show();
          });
        }
        else {
          $('.notfound').show();
        }

      });

      // Case-insensitive searching.
      $.expr[":"].contains = $.expr.createPseudo(function (arg) {
         return function (elem) {
           return $(elem).text().toUpperCase().indexOf(arg.toUpperCase()) >= 0;
        };
      });
    });
  });
})(jQuery);
