<?php

namespace Drupal\trackmyadmin\Controller;

use Drupal\Core\Controller\ControllerBase;
use Symfony\Component\HttpFoundation\Response;
use Drupal\trackmyadmin\Utility\QueryHelper;
use Symfony\Component\HttpKernel\Exception\NotFoundHttpException;

/**
 * CaptureActivityDetails Controller.
 */
class CaptureActivityDetails extends ControllerBase {

  /**
   * Insert Captured Date into the {trackmyadmin_activity} table.
   */
  public function action() {
    $session = \Drupal::request()->getSession();
    $tma_user_key = $session->get('tma_user_key');
    // Fetch the data values.
    $modifiedData = \Drupal::request()->request->get('details');
    if (!isset($modifiedData)) {
      throw new NotFoundHttpException();
    }
    elseif (!empty($modifiedData) && isset($tma_user_key) && is_numeric($tma_user_key)) {
      $connection = \Drupal::database();
      // Invoke our helper and initiate the insert operation.
      $query = new QueryHelper($connection);
      foreach ($modifiedData as $data) {
        $data['id'] = $tma_user_key;
        $user_key = $query->insertValues('trackmyadmin_activity', $data);
      }
    }
    return new Response();
  }

}
